%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           trac-sphinx-plugin
Version:        0.2.1
Release:        20120523.hge021e691af84%{?dist}
Summary:        Basic tasks to manage Sphinx documentation in Trac

Group:          Applications/Internet
License:        BSD
URL:            http://pypi.python.org/pypi/TracSphinx
# Produce via 'hg clone -r e021e691af84 https://bitbucket.org/florent/sphinx-plugin trac-sphinx-plugin-0.2.1'
# tar -czvf trac-sphinx-plugin-0.2.1.20120515.hge021e691af84.tar.gz trac-sphinx-plugin-0.2.1
Source0:        trac-sphinx-plugin-0.2.1.20120515.hge021e691af84.tar.gz
Patch0:         01-remove-data.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       trac >= 0.11, sphinx-webtools >= 0.2.1

%description
A trac plugin that implements basic tasks to manage
Sphinx documentation in Trac.

%prep
%setup -q -n trac-sphinx-plugin-0.2.1
%patch0 -p0

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitelib}/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-20120523.hge021e691af84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-20120522.hge021e691af84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-20120521.hge021e691af84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120520.hge021e691af84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120519.hge021e691af84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120518.hge021e691af84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120517.hge021e691af84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-20120516.hge021e691af84
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue May 15 2012 Andrea Veri <averi@fedoraproject.org> - 0.2.1-20120515.hge021e691af84
- First package release.
